
  .body {
    background-image: url("../dist/img/Banners_mercado-3.jpg");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    opacity: 100%;
    height: 100%;
    width: 100%;
    margin: 0;
    display: flex;
    flex-direction: row;
  }

  /* Estilos para dispositivos grandes (desktop) */
  @media (min-width: 992px) {

    /* Estilos específicos para pantallas grandes */
    .div1 {
      background: #797300a3;
      /*#3c3d1d8f*/
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100vh;
    }

    .div1hijo {
      height: auto;
      text-align: center;
      max-width: 70%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      /* Asegura el centrado de su contenido */
    }

    .div2 {
      background: #35352dc9;
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100vh;
    }

    .div2hijo {
      display: flex;
      flex-direction: column;
      justify-content: center;
      height: 80vh;
      max-width: 100%;
    }

    img {
      width: 150px;
    }

    .bienvenido {
      font-size: 40px;
      font-size-adjust: 0.5;
    }

    .text1 {
      font-size: 20px;
      font-size-adjust: 0.5;
      height: 20px;
    }

    .divp1,
    .divp2 {
      font-size: 42px;
      font-size-adjust: 0.5;
      top: 10px;
      height: 20px;
    }

    .divp3 {
      font-size: 22px;
      font-size-adjust: 0.5;
      top: 25px;
      height: 10px;
    }
  }

  /* Estilos para dispositivos medianos (tablet) */
  @media (max-width: 991px) {

    /* Estilos específicos para tablets */
    .div1 {
      background: #797300a3;
      /*#3c3d1d8f*/
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100vh;
    }

    .div1hijo {
      height: 80vh;
      text-align: center;
      max-width: 90%;
    }

    .div2 {
      background: #35352dc9;
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100vh;
    }

    .div2hijo {
      display: flex;
      flex-direction: column;
      justify-content: center;
      height: 80vh;
      max-width: 100%;
    }

    img {
      width: 150px;
    }

    .bienvenido {
      font-size: 40px;
      font-size-adjust: 0.5;
    }

    .text1 {
      font-size: 20px;
      font-size-adjust: 0.5;
      height: 20px;
    }

    .divp1,
    .divp2 {
      font-size: 42px;
      font-size-adjust: 0.5;
      top: 10px;
      height: 20px;
    }

    .divp3 {
      font-size: 22px;
      font-size-adjust: 0.5;
      top: 25px;
      height: 10px;
    }
  }

  /* Estilos para dispositivos pequeños (móviles) */
  @media (max-width: 767px) {

    /* Estilos específicos para dispositivos móviles */
    .div1 {
      background: #797300a3;
      /*#3c3d1d8f*/
      display: flex;
      justify-content: center;
      align-items: center;
      height: 60vh;
    }

    .div1hijo {
      height: 50vh;
      text-align: center;
      max-width: 90%;
    }

    .div2 {
      background: #35352dc9;
      display: flex;
      justify-content: center;
      align-items: center;
      height: 40vh;
    }

    .div2hijo {
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      height: 40vh;
      max-width: 100%;
    }

    img {
      width: 120px;
    }

    .bienvenido {
      font-size: 25px;
      font-size-adjust: 0.5;
    }

    .text1 {
      font-size: 15px;
      font-size-adjust: 0.5;
      height: 10px;
    }

    .divp1,
    .divp2 {
      font-size: 30px;
      font-size-adjust: 0.5;
      top: 15px;
      height: 10px;
    }

    .divp3 {
      font-size: 15px;
      font-size-adjust: 0.5;
      top: 18px;
      height: 5px;
    }
  }